<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for master in master package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  master module in master package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Master',
    'names'         => 'Masters',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Masters',
        'sub'   => 'Masters',
        'list'  => 'List of masters',
        'edit'  => 'Edit master',
        'create'    => 'Create new master'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Show','Hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'type'                       => 'Please enter type',
        'name'                       => 'Please enter name',
        'icon'                       => 'Please enter icon',
        'slug'                       => 'Please enter slug',
        'status'                     => 'Please select status',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
        'created_at'                 => 'Please select created at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'type'                       => 'Type',
        'name'                       => 'Name',
        'icon'                       => 'Icon',
        'slug'                       => 'Slug',
        'status'                     => 'Status',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
        'created_at'                 => 'Created at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'type'                       => ['name' => 'Type', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'icon'                       => ['name' => 'Icon', 'data-column' => 3, 'checked'],
        'created_at'                 => ['name' => 'Created at', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Masters',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
